@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\clipart\24*.pcx %1:\clipart\
xcopy ..\clipart\124*.lst %1:\clipart\
xcopy cdshow\*.* %1:\sdpc124\cdshow\
xcopy articles\*.* %1:\sdpc124\articles\
xcopy batchio\*.* %1:\sdpc124\batchio\
xcopy garden\*.* %1:\sdpc124\garden\
xcopy columns\*.* %1:\sdpc124\columns\
xcopy *.shl %1:\sdpc124\
xcopy copy124.bat %1:\sdpc124\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\hitch*.trv %1:\trivnow\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\onthego.cwd %1:\crosword\
xcopy ..\crosword\rhymes.cwd %1:\crosword\
xcopy frode\*.* %1:\sdpc124\frode\
xcopy oscar\*.* %1:\sdpc124\oscar\
xcopy m*.shl %1:\sdpc124\
xcopy ..\go.exe %1:\
echo.
echo Finished copying SDPC VGA #124 to %1:
echo.
:exit

